org.encog.ml.data.temporal

## Enum TemporalDataDescription.Type

- java.lang.Object
- - java.lang.Enum<TemporalDataDescription.Type>
  - - org.encog.ml.data.temporal.TemporalDataDescription.Type

- All Implemented Interfaces:
    Serializable, Comparable<TemporalDataDescription.Type>
  Enclosing class:
    TemporalDataDescription

      public static enum TemporalDataDescription.Type
      extends Enum<TemporalDataDescription.Type>

  The type of data requested.
  Author:
    jheaton

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DELTA_CHANGE` The difference change.
    `PERCENT_CHANGE` The percent change.
    `RAW` Data in its raw, unmodified form.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TemporalDataDescription.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TemporalDataDescription.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RAW

          public static final TemporalDataDescription.Type RAW

      Data in its raw, unmodified form.

    - #### PERCENT_CHANGE

          public static final TemporalDataDescription.Type PERCENT_CHANGE

      The percent change.

    - #### DELTA_CHANGE

          public static final TemporalDataDescription.Type DELTA_CHANGE

      The difference change.

  - ### Method Detail

    - #### values

          public static TemporalDataDescription.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TemporalDataDescription.Type c : TemporalDataDescription.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TemporalDataDescription.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.